require 'div/div'
require 'div/tofusession'

#device file
require 'device/door1intf'
require 'device/lamp1intf'
require 'device/lamp2intf'


class BaseDiv < Div::Div 
  set_erb('erb/base.erb')
  def initialize(session)
    super(session)
    # page template constance
    # device instance
    @Lamp2Intf = Lamp2Div.new(session)
    @Door1Intf = Door1Div.new(session)
    @Lamp1Intf = Lamp1Div.new(session)
  end
end

class HomeTofuSession < Div::TofuSession
  def initialize(bartender, hint = nil)
    super(bartender, hint)
    @base = BaseDiv.new(self)
  end

  def do_GET(context)
    update_div(context)
    context.res_header('content-type', 'text/html; charset=euc-jp')
    context.res_body(@base.to_html(context))
  end
end

